Description

Ci-dessous les liens vers 6 fichiers tests au format demandé (une colonne de 256 valeurs en hexadécimal) :

https://hephaistos.lpp.polytechnique.fr/redmine/attachments/download/733/cos_ampl256_freq32_phi0.0.dat
https://hephaistos.lpp.polytechnique.fr/redmine/attachments/download/734/cos_ampl256_freq32_phi90.0.dat

https://hephaistos.lpp.polytechnique.fr/redmine/attachments/download/735/cos_ampl32767_freq32_phi0.0.dat
https://hephaistos.lpp.polytechnique.fr/redmine/attachments/download/736/cos_ampl32767_freq32_phi90.0.dat

https://hephaistos.lpp.polytechnique.fr/redmine/attachments/download/731/cos_ampl2_freq32_phi0.0.dat
https://hephaistos.lpp.polytechnique.fr/redmine/attachments/download/732/cos_ampl2_freq32_phi90.0.dat

+ un fichier texte qui récapitule le contenu de ces fichiers :

https://hephaistos.lpp.polytechnique.fr/redmine/attachments/download/737/files_setup_20150109

A bientbt pour la suite ...
Thomas

History

#1 - 12/01/2015 06:49 PM - Jean-Christophe Pellion
- Assignee changed from Jean-Christophe Pellion to thomas chust

- % Done changed from 0 to 90

les resultats sont dans le dossier FILE avec les fichiers de data.
Je n'ai fait aucune analyse des resultats, mais j'ai maintenant un script pour facilement lancer toutes les simus.

https://hephaistos.lpp.polytechnique.fr/redmine/attachments/download/740/cos_ampl256_freq32_phi0.0.dat.FFT_output
https://hephaistos.lpp.polytechnique.fr/redmine/attachments/download/743/cos_ampl256_freq32_phi90.0.dat.FFT_output
https://hephaistos.lpp.polytechnique.fr/redmine/attachments/download/739/cos_ampl2_freq32_phi0.0.dat.FFT_output
https://hephaistos.lpp.polytechnique.fr/redmine/attachments/download/738/cos_ampl2_freq32_phi90.0.dat.FFT_output
https://hephaistos.lpp.polytechnique.fr/redmine/attachments/download/741/cos_ampl32767_freq32_phi0.0.dat.FFT_output

https://hephaistos.lpp.polytechnique.fr/redmine/attachments/download/742/cos_ampl32767_freq32_phi90.0.dat.FFT_output

#2 - 14/01/2015 09:42 AM - thomas chust

- Assignee changed from thomas chust to Jean-Christophe Pellion

Résultat d'analyse de la série 1:

- Les signaux cosinus d'amplitudes moyennes (ampl=256, f=32, phi=0° & 90°) sont conforment a la formule: (ampl/2) * exp(l phi). Seule la ligne 33
est affectée et avec la bonne valeur correspondant a cette formule.

=> La FFT appliquée est donc conforme a une DFT (Discret Fourier Transform) forward qu'on a ensuite normalisé par N :

X (k) = Somme pour n=0, N-1 de x(n) * exp(-I*2Pi*k*n/N) / N

- Les signaux cosinus d'amplitudes maximum (ampl=32767, f=32, phi=0° & 90°) sont partiellement conforment a la formule: (ampl/2) * exp(l phi).
Ok pour la ligne 33 mais une autre ligne est erratiquement affectée: pour le cas phi=0 => a la ligne 97 on trouve 0000FFFF; pour le cas phi=90 => a
la ligne 161 on trouve FFFF0000

=> cela semble correspondre a 2*ampl * exp(l phi) !? Un effet de bord da a un overflow ?

- Les signaux cosinus d'amplitudes faibles (ampl=2, f=32, phi=0° & 90°) ne sont pas détectés: résultats nul au lieu de 1 ou |
https://hephaistos.lpp.polytechnique.fr/redmine/attachments/download/733/cos_ampl256_freq32_phi0.0.dat
https://hephaistos.lpp.polytechnique.fr/redmine/attachments/download/734/cos_ampl256_freq32_phi90.0.dat
https://hephaistos.lpp.polytechnique.fr/redmine/attachments/download/735/cos_ampl32767_freq32_phi0.0.dat
https://hephaistos.lpp.polytechnique.fr/redmine/attachments/download/736/cos_ampl32767_freq32_phi90.0.dat
https://hephaistos.lpp.polytechnique.fr/redmine/attachments/download/731/cos_ampl2_freq32_phi0.0.dat
https://hephaistos.lpp.polytechnique.fr/redmine/attachments/download/732/cos_ampl2_freq32_phi90.0.dat
https://hephaistos.lpp.polytechnique.fr/redmine/attachments/download/737/files_setup_20150109
https://hephaistos.lpp.polytechnique.fr/redmine/attachments/download/740/cos_ampl256_freq32_phi0.0.dat.FFT_output
https://hephaistos.lpp.polytechnique.fr/redmine/attachments/download/743/cos_ampl256_freq32_phi90.0.dat.FFT_output
https://hephaistos.lpp.polytechnique.fr/redmine/attachments/download/739/cos_ampl2_freq32_phi0.0.dat.FFT_output
https://hephaistos.lpp.polytechnique.fr/redmine/attachments/download/738/cos_ampl2_freq32_phi90.0.dat.FFT_output
https://hephaistos.lpp.polytechnique.fr/redmine/attachments/download/741/cos_ampl32767_freq32_phi0.0.dat.FFT_output
https://hephaistos.lpp.polytechnique.fr/redmine/attachments/download/742/cos_ampl32767_freq32_phi90.0.dat.FFT_output

#3 - 16/01/2015 02:57 PM - Jean-Christophe Pellion
- % Done changed from 90 to 100

#4 - 16/01/2015 02:59 PM - Jean-Christophe Pellion

- Assignee changed from Jean-Christophe Pellion to thomas chust
(a fermer, tout le travail est maintenant fait sur ce test case)

#5 - 28/01/2015 05:19 PM - thomas chust
- Tracker changed from Test case to Feature

- Status changed from New to Closed
